# Generated from vmik-fluent-plugin-google-cloud-0.5.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vmik-fluent-plugin-google-cloud

Name: rubygem-%{gem_name}
Version: 0.5.5
Release: 1%{?dist}
Summary: fluentd output plugin for the Stackdriver Logging API
License: Apache-2.0
URL: https://github.com/GoogleCloudPlatform/fluent-plugin-google-cloud
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(mocha) >= 1.1
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(rubocop) >= 0.35.0
# BuildRequires: rubygem(rubocop) < 0.36
# BuildRequires: rubygem(webmock) >= 1.17
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(test-unit) >= 3.0
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
Fluentd output plugin for the Stackdriver Logging API, which will make
logs viewable in the Developer Console's log viewer and can optionally
store them in Google Cloud Storage and/or BigQuery.
This is an official Google Ruby gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/fluent-plugin-google-cloud.gemspec
%{gem_instdir}/test

%changelog
* Wed Aug 25 2021 mockbuilder - 0.5.5-1
- Initial package
